## Ms Voice Extensions service

Ms Voice Extensions service — Support for the Ms Voice Extensions service.

## Functions

MbimMessage * | mbim_message_ms_voice_extensions_nitz_query_new ()
gboolean | mbim_message_ms_voice_extensions_nitz_response_parse ()
gboolean | mbim_message_ms_voice_extensions_nitz_notification_parse ()

## Description

This section implements support for requests, responses and notifications in the Ms Voice Extensions service.

## Functions

### mbim_message_ms_voice_extensions_nitz_query_new ()

    MbimMessage *
    mbim_message_ms_voice_extensions_nitz_query_new
                                   (GError **error);

Create a new request for the 'NITZ' query command in the 'MS Voice Extensions' service.

#### Parameters

error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.28

### mbim_message_ms_voice_extensions_nitz_response_parse ()

    gboolean
    mbim_message_ms_voice_extensions_nitz_response_parse
                                   (const MbimMessage *message,
                                    guint32 *out_year,
                                    guint32 *out_month,
                                    guint32 *out_day,
                                    guint32 *out_hour,
                                    guint32 *out_minute,
                                    guint32 *out_second,
                                    guint32 *out_time_zone_offset_minutes,
                                    guint32 *out_daylight_saving_time_offset_minutes,
                                    MbimDataClass *out_data_class,
                                    GError **error);

Parses and returns parameters of the 'NITZ' response command in the 'MS Voice Extensions' service.

#### Parameters

message | the MbimMessage. |
out_year | return location for a guint32, or `NULL` if the 'Year' field is not needed. | [out][optional][transfer none]
out_month | return location for a guint32, or `NULL` if the 'Month' field is not needed. | [out][optional][transfer none]
out_day | return location for a guint32, or `NULL` if the 'Day' field is not needed. | [out][optional][transfer none]
out_hour | return location for a guint32, or `NULL` if the 'Hour' field is not needed. | [out][optional][transfer none]
out_minute | return location for a guint32, or `NULL` if the 'Minute' field is not needed. | [out][optional][transfer none]
out_second | return location for a guint32, or `NULL` if the 'Second' field is not needed. | [out][optional][transfer none]
out_time_zone_offset_minutes | return location for a guint32, or `NULL` if the 'TimeZoneOffsetMinutes' field is not needed. | [out][optional][transfer none]
out_daylight_saving_time_offset_minutes | return location for a guint32, or `NULL` if the 'DaylightSavingTimeOffsetMinutes' field is not needed. | [out][optional][transfer none]
out_data_class | return location for a MbimDataClass, or `NULL` if the 'DataClass' field is not needed. | [out][optional][transfer none]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.28

### mbim_message_ms_voice_extensions_nitz_notification_parse ()

    gboolean
    mbim_message_ms_voice_extensions_nitz_notification_parse
                                   (const MbimMessage *message,
                                    guint32 *out_year,
                                    guint32 *out_month,
                                    guint32 *out_day,
                                    guint32 *out_hour,
                                    guint32 *out_minute,
                                    guint32 *out_second,
                                    guint32 *out_time_zone_offset_minutes,
                                    guint32 *out_daylight_saving_time_offset_minutes,
                                    MbimDataClass *out_data_class,
                                    GError **error);

Parses and returns parameters of the 'NITZ' notification command in the 'MS Voice Extensions' service.

#### Parameters

message | the MbimMessage. |
out_year | return location for a guint32, or `NULL` if the 'Year' field is not needed. | [out][optional][transfer none]
out_month | return location for a guint32, or `NULL` if the 'Month' field is not needed. | [out][optional][transfer none]
out_day | return location for a guint32, or `NULL` if the 'Day' field is not needed. | [out][optional][transfer none]
out_hour | return location for a guint32, or `NULL` if the 'Hour' field is not needed. | [out][optional][transfer none]
out_minute | return location for a guint32, or `NULL` if the 'Minute' field is not needed. | [out][optional][transfer none]
out_second | return location for a guint32, or `NULL` if the 'Second' field is not needed. | [out][optional][transfer none]
out_time_zone_offset_minutes | return location for a guint32, or `NULL` if the 'TimeZoneOffsetMinutes' field is not needed. | [out][optional][transfer none]
out_daylight_saving_time_offset_minutes | return location for a guint32, or `NULL` if the 'DaylightSavingTimeOffsetMinutes' field is not needed. | [out][optional][transfer none]
out_data_class | return location for a MbimDataClass, or `NULL` if the 'DataClass' field is not needed. | [out][optional][transfer none]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.28